inbox
ReadCost 5
Unified six-source inbox with the dashboard counting, filtering and cursor rules. Evidence is redacted for outside use and metadata is compact. Personal drafts are not included. Text search is unavailable because source text can be masked.
Input
| Parameter | Type | Description |
|---|---|---|
brand | string | own, no-own, any-competitor, competitor-no-own, or competitor:<name>. max length 200 |
categories | string | Comma-separated values, at most 200. max length 4096 |
categories_ex | string | Comma-separated values, at most 200. max length 4096 |
cited_in_ai | "yes" | "no" | |
competitors | string | Comma-separated values, at most 200. max length 4096 |
competitors_ex | string | Comma-separated values, at most 200. max length 4096 |
cursor | string | max length 4096 |
engines | string | Comma-separated values, at most 200. max length 4096 |
facet_groups | string | Comma-separated values, at most 200. max length 4096 |
from | string | |
from_found | string | |
ids | string | Comma-separated inbox envelope IDs, at most 100. Resolves specific evidence rows. max length 4096 |
keywords | string | Comma-separated values, at most 200. max length 4096 |
kinds | string | Comma-separated values, at most 200. max length 4096 |
languages | string | Comma-separated values, at most 200. max length 4096 |
meta | "all" | "none" | "only" | default "all" |
opp | number | min 0 · max 100 |
page_types | string | Comma-separated values, at most 200. max length 4096 |
page_types_ex | string | Comma-separated values, at most 200. max length 4096 |
project_id required | string | Authorized project ID. |
score_bins | string | Comma-separated values, at most 200. max length 4096 |
score_min | number | min 0 · max 1 |
sentiments | string | Comma-separated values, at most 200. max length 4096 |
signal_type | "citation" | "community" | "mention" | "competitor" | "reputation" | |
sort | "score" | "newest" | "oldest" | "found" | "popular" | default "newest" |
sources | string | Comma-separated values, at most 200. max length 4096 |
statuses | string | Comma-separated values, at most 200. max length 4096 |
streams | string | Comma-separated values, at most 200. max length 4096 |
subject_kinds | string | Comma-separated values, at most 200. max length 4096 |
tags | string | Comma-separated values, at most 200. max length 4096 |
tags_ex | string | Comma-separated values, at most 200. max length 4096 |
take | integer | min 1 · max 100 · default 40 |
to | string | |
to_found | string | |
type | "all" | "signal" | "mention" | "citation" | "answer" | "search" | "alert" | default "all" |
view | "all" | "unread" | "needs-review" | "needs-response" | "starred" | "archived" | default "all" |
visibility | string | Comma-separated values, at most 200. max length 4096 |
Calling it
Read newest signals
MCP
Tool call
read({ "name": "inbox", "input": {"project_id":"your-project-id","streams":"signal,mention","sort":"newest","take":20} })REST
curl
curl -X POST "https://app.sensorhub.ai/api/v1/read/inbox" \
-H "Authorization: Bearer $API_KEY" \
-H "Content-Type: application/json" \
--data-binary @- <<'JSON'
{
"project_id": "your-project-id",
"streams": "signal,mention",
"sort": "newest",
"take": 20
}
JSONInput JSON Schema
json
{
"additionalProperties": false,
"properties": {
"brand": {
"description": "own, no-own, any-competitor, competitor-no-own, or competitor:<name>.",
"maxLength": 200,
"type": "string"
},
"categories": {
"description": "Comma-separated values, at most 200.",
"maxLength": 4096,
"type": "string"
},
"categories_ex": {
"description": "Comma-separated values, at most 200.",
"maxLength": 4096,
"type": "string"
},
"cited_in_ai": {
"enum": [
"yes",
"no"
],
"type": "string"
},
"competitors": {
"description": "Comma-separated values, at most 200.",
"maxLength": 4096,
"type": "string"
},
"competitors_ex": {
"description": "Comma-separated values, at most 200.",
"maxLength": 4096,
"type": "string"
},
"cursor": {
"maxLength": 4096,
"type": "string"
},
"engines": {
"description": "Comma-separated values, at most 200.",
"maxLength": 4096,
"type": "string"
},
"facet_groups": {
"description": "Comma-separated values, at most 200.",
"maxLength": 4096,
"type": "string"
},
"from": {
"format": "date-time",
"type": "string"
},
"from_found": {
"format": "date-time",
"type": "string"
},
"ids": {
"description": "Comma-separated inbox envelope IDs, at most 100. Resolves specific evidence rows.",
"maxLength": 4096,
"type": "string"
},
"keywords": {
"description": "Comma-separated values, at most 200.",
"maxLength": 4096,
"type": "string"
},
"kinds": {
"description": "Comma-separated values, at most 200.",
"maxLength": 4096,
"type": "string"
},
"languages": {
"description": "Comma-separated values, at most 200.",
"maxLength": 4096,
"type": "string"
},
"meta": {
"default": "all",
"enum": [
"all",
"none",
"only"
],
"type": "string"
},
"opp": {
"maximum": 100,
"minimum": 0,
"type": "number"
},
"page_types": {
"description": "Comma-separated values, at most 200.",
"maxLength": 4096,
"type": "string"
},
"page_types_ex": {
"description": "Comma-separated values, at most 200.",
"maxLength": 4096,
"type": "string"
},
"project_id": {
"description": "Authorized project ID.",
"minLength": 1,
"type": "string"
},
"score_bins": {
"description": "Comma-separated values, at most 200.",
"maxLength": 4096,
"type": "string"
},
"score_min": {
"maximum": 1,
"minimum": 0,
"type": "number"
},
"sentiments": {
"description": "Comma-separated values, at most 200.",
"maxLength": 4096,
"type": "string"
},
"signal_type": {
"enum": [
"citation",
"community",
"mention",
"competitor",
"reputation"
],
"type": "string"
},
"sort": {
"default": "newest",
"enum": [
"score",
"newest",
"oldest",
"found",
"popular"
],
"type": "string"
},
"sources": {
"description": "Comma-separated values, at most 200.",
"maxLength": 4096,
"type": "string"
},
"statuses": {
"description": "Comma-separated values, at most 200.",
"maxLength": 4096,
"type": "string"
},
"streams": {
"description": "Comma-separated values, at most 200.",
"maxLength": 4096,
"type": "string"
},
"subject_kinds": {
"description": "Comma-separated values, at most 200.",
"maxLength": 4096,
"type": "string"
},
"tags": {
"description": "Comma-separated values, at most 200.",
"maxLength": 4096,
"type": "string"
},
"tags_ex": {
"description": "Comma-separated values, at most 200.",
"maxLength": 4096,
"type": "string"
},
"take": {
"default": 40,
"maximum": 100,
"minimum": 1,
"type": "integer"
},
"to": {
"format": "date-time",
"type": "string"
},
"to_found": {
"format": "date-time",
"type": "string"
},
"type": {
"default": "all",
"enum": [
"all",
"signal",
"mention",
"citation",
"answer",
"search",
"alert"
],
"type": "string"
},
"view": {
"default": "all",
"enum": [
"all",
"unread",
"needs-review",
"needs-response",
"starred",
"archived"
],
"type": "string"
},
"visibility": {
"description": "Comma-separated values, at most 200.",
"maxLength": 4096,
"type": "string"
}
},
"required": [
"project_id"
],
"type": "object"
}